<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <title>Page WEB Projet Football</title>
    </head>
    <body>
    <div>
        <img id="ohnoes" src="download.png">
        <h1>Temps restant :
            <span id="countdown">120</span>
            secondes!
        </h1>
        <div id="info"></div>
    </div>

    <label for="val-timer">Temps en Secondes</label>
    <input type="number" id="val-timer" value="120">
    <input type="button" value="Start" id="start-bt">
    <input type="button" value="Pause" id="pause-bt" onClick="window.clearInterval(timer)">
    <input type="button" value="Reset" id="reset-bt">
    <input type="button" value="Resume" id="resume-bt" disabled><br><br>

    <input type="button" value="Reset-but" id="reset-But">
    <input type="button" value="BUT-Equipe1" id="add-But-1">
    <input type="button" value="BUT-Equipe2" id="add-But-2"><br>
    <label id="nbbut1"></label><br>
    <label id="nbbut2"></label><br>


    <script>
      var countdown = document.getElementById("countdown");
      var countdownValue = document.getElementById("val-timer");
      var startButton = document.getElementById("start-bt");
      var pauseButton = document.getElementById("pause-bt");
      var resumeButton = document.getElementById("resume-bt");
      var resetButton = document.getElementById("reset-bt");
      var timer;
      var isStart = 0;
      var minute;

      var countItDown = function() {
          var currentTime = parseFloat(countdown.textContent);
          if (currentTime > 0) {
              countdown.textContent = currentTime - 1;   
          } else {
              window.clearInterval(timer);
          }
      };

  
      startButton.addEventListener("click", function() {
          if(!isStart){
              isStart = 1;
              countdown.textContent = countdownValue.value;
              timer = window.setInterval(countItDown, 1000);
              startButton.disabled = true;
              pauseButton.disabled = false;
              resumeButton.disabled = true;
          }
      });
  
      pauseButton.addEventListener("click", function(){
          window.clearInterval(timer);
          pauseButton.disabled = true;
          resumeButton.disabled = false;
      });
  
      resumeButton.addEventListener("click", function(){
          timer = window.setInterval(countItDown, 1000);
          pauseButton.disabled = false;
          resumeButton.disabled = true;
      });
      resetButton.addEventListener("click", function(){
          isStart = 0;
          countdown.textContent = countdownValue.value;
          window.clearInterval(timer);
          startButton.disabled = false;
          pauseButton.disabled = true;
          resumeButton.disabled = true;
      })

      ///////////////////////////////////////////////////////
      
      var resetBut = document.getElementById("reset-But");
      var addBut1 = document.getElementById("add-But-1");
      var addBut2 = document.getElementById("add-But-2");
      var nbbute1 = document.getElementById("nbbut1");
      var butTeam1 = 0;
      var butTeam2 = 0;        
      nbbut1.textContent=butTeam1;
      nbbut2.textContent=butTeam2;


      addBut1.addEventListener("click", function(){
        butTeam1++;
        nbbut1.textContent=butTeam1;
      })

      addBut2.addEventListener("click", function(){
        butTeam2++;
        nbbut2.textContent=butTeam2;
      })

      resetBut.addEventListener("click", function(){
        butTeam1 = 0;
        butTeam2 = 0;
        nbbut2.textContent=butTeam2;
        nbbut1.textContent=butTeam1;

    })

    somme="somme";
function fonction_somme()
{
document.getElementById(somme).innerHTML=butTeam1;
}

  
  </script>
   


    </body>
</html>
